import { PropsWithChildren, FC } from "react";
import { IModuleTuple } from "redux-dynamic-modules-core";
/** Provide modules to load */
export interface DynamicModuleLoaderProps {
    /** Modules that need to be dynamically registered */
    modules: IModuleTuple;
}
/**
 * The DynamicModuleLoader adds a way to register a module on mount
 * When this component is initialized, the reducer and saga from the module passed as props will be registered with the system
 * On unmount, they will be unregistered
 */
export declare const DynamicModuleLoader: FC<PropsWithChildren<DynamicModuleLoaderProps>>;
